> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke invites by email

> Revokes all organization and repository invitations for a specific email address within the organization.




## OpenAPI

````yaml post /organizations/{org_id}/invites/revoke
openapi: 3.0.3
info:
  title: Diversion Core API
  description: >-
    Definition of the Core API used to access low-level functionality of
    Diversion
  version: 0.2.0
servers:
  - url: https://api.diversion.dev/v0
    description: Base endpoint
security: []
paths:
  /organizations/{org_id}/invites/revoke:
    parameters:
      - $ref: '#/components/parameters/OrgParam'
    post:
      tags:
        - Organization Management
      summary: Revoke invites by email
      description: >
        Revokes all organization and repository invitations for a specific email
        address within the organization.
      operationId: src.handlersv2.organization.revoke_invites
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RevokeInvitesRequest'
      responses:
        '200':
          $ref: '#/components/responses/OKEmpty'
        default:
          $ref: '#/components/responses/Error'
      security:
        - OAuth2:
            - coreapi/write
components:
  parameters:
    OrgParam:
      in: path
      name: org_id
      schema:
        type: string
      required: true
      description: An ID of an organization
  schemas:
    RevokeInvitesRequest:
      type: object
      required:
        - invited_email
      properties:
        invited_email:
          type: string
          format: email
          description: Email address of the user whose invites should be revoked
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        detail:
          type: string
        title:
          type: string
        type:
          type: string
      required:
        - status
        - detail
  responses:
    OKEmpty:
      description: Request completed successfully
    Error:
      description: An error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    OAuth2:
      type: oauth2
      x-tokenInfoFunc: src.token_info.token_auth
      description: This API uses OAuth 2 with the implicit grant flow
      flows:
        implicit:
          authorizationUrl: https://auth.diversion.dev/oauth2/authorize
          scopes:
            coreapi/read: Operations with no possible side-effects
            coreapi/write: Modifying operations
            coreapi/admin: >-
              Organizational operations like adding a repo or changing repo
              properties

````